Subject: Re: [Unbearable] New and Updated I-Ds

From: Andrei Popov <[email-masked]>
Date: Tue, 16 Jun 2015 19:30:34 +0000

Also, please feel free to use GitHub to track issues and make pull requests: https://github.com/TokenBinding/Internet-Drafts

Now that we have TBNEGO I-D, I've closed a couple of issues related to the use of ALPN.

Cheers,

Andrei

From: Andrei Popov
Sent: Friday, May 29, 2015 4:54 PM
To: [email-masked]
Subject: New and Updated I-Ds

In Dallas we agreed to define a new TLS extension for Token Binding key parameters negotiation, instead of using ALPN.

Today I've submitted TLS Extension for Token Binding Protocol Negotiation  I-D: https://datatracker.ietf.org/doc/draft-popov-tokbind-negotiation/

I have also updated the Token Binding Protocol I-D: https://tools.ietf.org/html/draft-ietf-tokbind-protocol-01
The updated version has the following changes:

-          Removed ALPN negotiation text;

-          Added a Security Considerations sub-section discussing Token Binding key sharing between applications;

-          Minor edits, nits, etc.

Comments are very welcome!

Cheers,

Andrei